// $Id$
//
// $Log$
//

import java.awt.*;

public class AddGroupDialog extends ParameterDialog
   {
   Options options;
   GroupsDialog parent;

   public AddGroupDialog(GroupsDialog parent, Options options)
      {
      super((Frame)parent.getParent(), Resource.AddGroupDlg_title, Resource.AddGroupDlg_message,
            Resource.AddGroupDlg_paramName, Resource.AddGroupDlg_paramValue);
      this.parent = parent;
      this.options = options;
      paramValueFields[2].setText(options.getUser()+"@"+options.getHost());
      }

   public void doit()
      {
      String[] s = {options.getUser(),"k",paramValueFields[0].getText(),paramValueFields[1].getText(),paramValueFields[2].getText()};
      String ret = UDPSocket.transact(s, options.getHost(), options.getPort());
      if (ret.startsWith("0"))
         parent.groupList.addItem(paramValueFields[0].getText()+" "+paramValueFields[1].getText(),-1);
      else
         {
         InfoDialog d = new InfoDialog((Frame)parent.getParent(), Resource.AddGroupDlg_failed_title, Resource.AddGroupDlg_illegal_character);
         d.show();
         }

      }

   }
