// $Id$
//
// $Log$
//

import java.awt.*;

public class ChangeGroupDialog extends ParameterDialog
   {
   Options options;
   GroupsDialog parent;

   public ChangeGroupDialog(GroupsDialog parent, Options options, String group)
      {
      super((Frame)parent.getParent(), Resource.ChangeGroupDlg_title, Resource.ChangeGroupDlg_message,
            Resource.ChangeGroupDlg_paramName, Resource.ChangeGroupDlg_paramValue);
      this.parent = parent;
      this.options = options;
      paramValueFields[0].setText(group);
      paramValueFields[0].setEditable(false);
      }

   public void doit()
      {
      String[] s = {options.getUser(),"u",paramValueFields[0].getText(),paramValueFields[1].getText()};
      String ret = UDPSocket.transact(s, options.getHost(), options.getPort());
      if (ret.startsWith("0"))
         {
         parent.groupList.replaceItem(paramValueFields[0].getText()+" "+paramValueFields[1].getText(),
                                      parent.groupList.getSelectedIndex());
         parent.changeButton.disable();
         parent.removeButton.disable();
         }
      if (ret.indexOf("unchanged") != -1)
         {
         InfoDialog d = new InfoDialog((Frame)parent.getParent(), Resource.ChangeGroupDlg_failed_title, Resource.ChangeGroupDlg_unchanged);
         d.show();
         }
      }

   }
