#ifndef LPRINTF_H
#define LPRINTF_H

/*
 * Logging routines
 *
 *
 * Bug reports should be sent to
 *
 *  harald@os2point.ping.de
 *  harald@haport.sesam.com
 *  Fido: 2:2448/434
 *
 */

/*
 * $Id$
 */

extern int lopen(char *filename);
extern void lclose(void);
extern void lflush(int enable);
extern void ldaily(int enable);
extern void lprintf(char *format,...);
extern void lperror(const char *string);

/*
 * $Log: lprintf.h,v $
 * Revision 1.1  1997/02/13 11:19:55  oliver
 * initial revision
 *
 */

#endif
