#ifndef NGLIST_H
#define NGLIST_H

/*
 * $Id$
 */

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _NGLIST {
    char *group;        /* newsgroup name */
    char *description;  /* short description, may be NULL */
} NGLIST;

extern int test_nglist(const char *hostname, int newgroups);
extern NGLIST *load_nglist(const char *hostname, int newgroups);
extern int free_nglist(NGLIST *ngl);

#ifdef __cplusplus
}
#endif

/*
 * $Log: nglist.h,v $
 * Revision 1.1  1997/02/13 11:19:58  oliver
 * initial revision
 *
 */

#endif
