#ifndef ADDHOSTWINDOW_HPP
#define ADDHOSTWINDOW_HPP

/*
 * $Id: addhostwindow.hpp,v 1.2 1997/04/05 16:56:58 oliver Exp $
 */

// Align classes on four byte boundary.
#pragma pack(4)

#include "GetStringWindow.hpp"

class HostCnr;

class AddHostWindow : public GetStringWindow
{
 public:
   AddHostWindow(HostCnr* target);
   ~AddHostWindow();

   virtual void doIt(const IString& string);

 private:
   HostCnr* target_;
};

// Resume compiler default packing.
#pragma pack()

/*
 * $Log: addhostwindow.hpp,v $
 * Revision 1.2  1997/04/05 16:56:58  oliver
 * various bugfixes
 *
 * Revision 1.1  1997/02/13 13:58:53  oliver
 * initial revision
 *
// Revision 1.1  1997/02/13  10:15:28  oliver
// initial revision
//
 */

#endif
