#ifndef GETSTRINGWINDOW_HPP
#define GETSTRINGWINDOW_HPP

/*
 * $Id: getstringwindow.hpp,v 1.2 1997/02/14 12:17:10 oliver Exp $
 */

// Align classes on four byte boundary.
#pragma pack(4)

#include <istattxt.hpp>
#include <ientryfd.hpp>

#include "okcanceldialog.hpp"

class GetStringWindow : public OkCancelDialog
{
 public:
   GetStringWindow(IWindow* parent, const IString& title, const IString& message);
   ~GetStringWindow();

   virtual void doIt(const IString& string) = 0;
   virtual void doIt() { this->doIt(string_.text()); }

 private:
   IStaticText message_;
   IEntryField string_;
};

// Resume compiler default packing.
#pragma pack()

/*
 * $Log: getstringwindow.hpp,v $
 * Revision 1.2  1997/02/14 12:17:10  oliver
 * added new generic OkCancelDialog
 * addHost now refuses to add a host with name
 *
 * Revision 1.1  1997/02/13 13:58:58  oliver
 * initial revision
 */

#endif
