#ifndef OKCANCELDIALOG_HPP
#define OKCANCELDIALOG_HPP

/*
 * $Id: okcanceldialog.hpp,v 1.1 1997/02/14 12:17:11 oliver Exp $
 */

// Align classes on four byte boundary.
#pragma pack(4)

#include <iframe.hpp>
#include <imcelcv.hpp>
#include <isetcv.hpp>
#include <ipushbut.hpp>
#include <icmdhdr.hpp>

class OkCancelDialog : public IFrameWindow , public ICommandHandler
{
 public:
   OkCancelDialog(unsigned long Id, IWindow* parent, const IString& title);
   ~OkCancelDialog();

   virtual void doIt() = 0;

   IMultiCellCanvas clientCanvas;

 protected:
    virtual Boolean command(ICommandEvent& cmdEvent);

 private:
   ISetCanvas buttonCanvas_;

   IPushButton ok_;
   IPushButton cancel_;
};

// Resume compiler default packing.
#pragma pack()

/*
 * $Log: okcanceldialog.hpp,v $
 * Revision 1.1  1997/02/14 12:17:11  oliver
 * added new generic OkCancelDialog
 * addHost now refuses to add a host with name
 *
 */

#endif
