const char sucklistthread_rcsid[] =
"$Id: sucklistthread.cpp,v 1.1 1997/04/09 12:23:32 oliver Exp $";

#include <itrace.hpp>
#include <imsgbox.hpp>

#include "sucklistthread.hpp"
#include "hostcnrobj.hpp"
#include "changi_l.hpp"
#include "../include/sucklist.h"

//***************************************************************************
//   SuckListThread
//***************************************************************************

SuckListThread::SuckListThread(HostCnrObj* host)
   : IThreadFn()
   , host_(host)
   {}

void SuckListThread::run()
   {
   IFUNCTRACE_DEVELOP();

   // for now we'll always save the wmlink's
   IString hostName = host_->iconText();
   HostCnrObj::deleteHostCnrObj(host_, true);

   int err = suck_newsgroups(hostName);
   if (err) IMessageBox(ChangiLWindow::getMainWindow())
      .show(
      IApplication::current().userResourceLibrary().loadString(ERR_SUCK_LIST),
      IMessageBox::errorIcon | IMessageBox::okButton);
   new HostCnrObj(hostName);
   ChangiLWindow::getHostCnr().sortByIconText();
   }

/*
 * $Log: sucklistthread.cpp,v $
 * Revision 1.1  1997/04/09 12:23:32  oliver
 * moved thead-classes to individual files
 *
 */
