#ifndef SUCKWINDOW_HPP
#define SUCKWINDOW_HPP

/*
 * $Id: suckwindow.hpp,v 1.2 1997/04/05 16:57:07 oliver Exp $
 */

// Align classes on four byte boundary.
#pragma pack(4)

#include <iframe.hpp>
#include <istattxt.hpp>
#include <ientryfd.hpp>
#include <imcelcv.hpp>
#include <ipushbut.hpp>
#include <icmdhdr.hpp>
#include <igroupbx.hpp>
#include <istring.hpp>

class HostCnrObj;

class SuckWindow : public IFrameWindow , public ICommandHandler
{
 public:
   SuckWindow(IWindow* parent);
   ~SuckWindow();

   void setText(const IString& text) { string_.setText(text); }

 protected:
    virtual Boolean command(ICommandEvent& cmdEvent);

 private:
   IMultiCellCanvas clientCanvas;
   IGroupBox message_;
   IStaticText string_;
   IPushButton cancel_;
};

// Resume compiler default packing.
#pragma pack()

/*
 * $Log: suckwindow.hpp,v $
 * Revision 1.2  1997/04/05 16:57:07  oliver
 * various bugfixes
 *
 * Revision 1.1  1997/02/13 13:59:02  oliver
 * initial revision
 *
 */

#endif

