/* pwd.h - /etc/passwd access library
 *
 * Author:  Kai Uwe Rommel <rommel@jonas>
 * Created: Mon Mar 28 1994
 */

/*
 * $Id: pwd.h,v 1.1 1997/02/13 14:03:57 oliver Exp $
 */

#ifndef _PWD_H
#define _PWD_H

struct passwd
{
  char *pw_name;
  char *pw_dir;
  char *pw_gecos;
  char *pw_passwd;
  char *pw_shell;
  int pw_uid;
  int pw_gid;
};

#define gcos_name(x, y)  x

struct passwd *getpwnam(char *name);
struct passwd *getpwuid(int uid);
int setpwent(struct passwd *);

/*
 * $Log: pwd.h,v $
 * Revision 1.1  1997/02/13 14:03:57  oliver
 * initial revision
 *
 * Revision 1.1  1997/02/13  10:05:56  oliver
 * initial revision
 *
 */

#endif /* _PWD_H */
