// $Id$
//
// $Log$
//

import java.net.*;
import java.io.*;
import java.awt.*;

public class GroupsThread extends Thread
   {
   private static final int MAX_BUFFER = 1024;

   List groupList;
   Options options;
   DatagramSocket socket;

   public GroupsThread(Options options, List groupList)
      {
      this.groupList = groupList;
      this.options = options;
      try { socket = new DatagramSocket(); }
      catch (SocketException e) {  }
      }

   public void run()
      {
      if (socket == null)
         return;

      groupList.clear();

      int index = 0;
      String ret;
      for (;;)
         {
         String[] s = {options.getUser(),"G",Integer.toString(index)};
         ret = UDPSocket.transact(s, options.getHost(), options.getPort());
         if ( ret.startsWith("0") )
            groupList.addItem(ret.substring(2));
         if ( ret.startsWith("1") )
            break;
         index++;
         }
      }
   }
