// $Id$
//
// $Log$
//

import java.awt.*;

public class RemoveGroupDialog extends ParameterDialog
   {
   Options options;
   GroupsDialog parent;

   public RemoveGroupDialog(GroupsDialog parent, Options options, String group)
      {
      super((Frame)parent.getParent(), Resource.RemoveGroupDlg_title, Resource.RemoveGroupDlg_message,
            Resource.RemoveGroupDlg_paramName, Resource.RemoveGroupDlg_paramValue);
      this.options = options;
      this.parent = parent;
      paramValueFields[0].setText(group);
      paramValueFields[0].setEditable(false);
      }

   public void doit()
      {
      String[] s = {options.getUser(),"p",paramValueFields[0].getText()};
      String ret = UDPSocket.transact(s, options.getHost(), options.getPort());
      if (ret.startsWith("0"))
         {
         parent.groupList.delItem(parent.groupList.getSelectedIndex());
         parent.changeButton.disable();
         parent.removeButton.disable();
         }
      else
         {
         InfoDialog d = new InfoDialog((Frame)parent.getParent(), Resource.RemoveGroupDlg_failed_title, Resource.RemoveGroupDlg_unexpected);
         d.show();
         }
      }

   }
