#include <artlib.h>

/************************************************************************\
*
*
*
\************************************************************************/
FILE *fopenart(char *newsroot, char *group, long artnum, char *mode)
{
    char *path = malloc(_MAX_PATH);
    char *cp;

    if(newsroot) {
        strcpy(path, newsroot);
        cp = path + strlen(path);
    }
    else {
        *path = '\0';
        cp = path;
    }
    strcpy(cp, group);
    while(*cp) {
        if(*cp == '.' || *cp == ':')
            *cp = '\\';
        cp++;
    }
    if(artnum) {
        *cp++ = '\\';
        ltoa(artnum, cp, 10);
    }

    fp = xfopen(path, "r");
    free(path);
    return fp;
}

/************************************************************************\
*
*
*
\************************************************************************/
FILE *fopenartlink(char *newsroot, char *group, long artnum)
{
    FILE *fp, *fplink;

    if((fp = fopenart(newsroot, group, artnum, "r")) != NULL) {
        char *buf = malloc(MAX_BUFSIZ);

        if(fgets(buf, MAX_BUFSIZ, fp)) {
            if(*buf == 'X' && strncmp(buf, "X-Linked:", 9) == 0) {
                char *cp;

                for(cp = buf + 9; *cp == ' ' || *cp == '\t'; cp++)
                    continue;
                if((fplink = fopenart(newsroot, buf, 0, "r")) != NULL) {
                    fclose(fp);
                    fp = fplink;
                }
                else
                    syslog(LOG_NOTICE, "Missing %s", buf);
            }
            else
                rewind(fp);
        }
        free(buf);
    }

    return(fp);
}
