#include <stdlib.h>
#include <stdio.h>

#include <readconf.h>


#include "config.h"

static ENVTABLE et[] = {
    { cfg.workdir          , "CHANGIWORKDIR"          , "", 0 },

    { cfg.pidfile          , "CHANXPIDFILE"           , "", 2 },

    { cfg.remoteport       , "CHANXNEWSPORT"          , "nntp", 2 },

    { NULL                 , NULL                     , "", 0 }
};



CONFIG cfg;

/************************************************************************/
/*                                                                      */
/*                                                                      */
/************************************************************************/
void init_cfg(void)
{
    read_conf(et);
    cfg.nthreads = 3;
    cfg.remotewait = 300;
}
