#ifndef CONFIG_H
#define CONFIG_H

/* $Id: config.h,v 1.1 1997/02/13 11:25:38 oliver Exp $ */

/*----------------------------------------------------------------------*/
/*  Configuration                                                       */
/*                                                                      */
/*----------------------------------------------------------------------*/
typedef struct {
    char workdir[_MAX_PATH];
    unsigned long logflg;
    char controlport[128];
    char controlhost[128];
    char logname[128];
    long maxwait;
    int  verbose;
} CONFIG;

extern CONFIG cfg;

extern void init_cfg(void);
extern int validate_cfg(void);

/*----------------------------------------------------------------------*/
/*  Logging flags                                                       */
/*----------------------------------------------------------------------*/
#define LOG_CONFIG  0x00000001L

#define DOLOG(x)    ((cfg.logflg & (x)) != 0)

#endif

/*
 * $Log: config.h,v $
 * Revision 1.1  1997/02/13 11:25:38  oliver
 * initial revision
 *
 */
