#ifndef CHANLIB_H
#define CHANLIB_H

/*
 * $Id$
 */

#include <stdio.h>

extern long copy_body(FILE *fpout, FILE *fpin, long body_size);

extern int makepath(char *pathname);
extern char *grouppath(char *path, char *newsdir, char *group);
extern char *maketemp(char *pathname, const char *template);

extern char *uupc_path(char *lhost, char *localpath, char *canon, char *rhost);

/* extern FILE *xopen(const char *name, const char *mode); */

extern char *radixpack(unsigned long val, char *pck);
extern unsigned long radixunpack(char *pck);

extern char **build_ngarray(char *newsgroups, char *activefile);
extern void free_ngarray(char **grparray);

extern char *fine_dir(char *path, char *cwd);

extern int dos_copy(char *srcname, char *dstname);
extern int dofc(char *filename, char *artpath);
extern int file_copy(const char *srcname, const char *dstname, const char *mode);

extern unsigned int scan_dir(char *path, long low_msg, long high_msg,
                             long **art_array);
extern int scan_minmax(char *path, long *plo, long *phi);


int initexit(char *pidfile);

/*
 * $Log: chanlib.h,v $
 * Revision 1.1  1997/02/13 11:19:48  oliver
 * initial revision
 *
 */

#endif
