#ifndef DIRCACHE_H
#define DIRCACHE_H

/*
 * $Id$
 */

extern void debug_dircache(int enable);
extern void dircache_maxwait(long maxwait);

extern int init_dircache(const char *newsdir, int cachesize);
extern void flush_dircache(void);
extern void exit_dircache(void);

extern int query_groupinfo(const char *group, long *lo, long *hi);
extern int query_groupdir(const char *group, long **art_array);

extern long query_nextart(const char *group, long art_num);
extern long query_prevart(const char *group, long art_num);

/*
 * $Log: dircache.h,v $
 * Revision 1.1  1997/02/13 11:19:50  oliver
 * initial revision
 *
 */

#endif
