#ifndef NHISTORY_H
#define NHISTORY_H

/*
 * $Id$
 */

extern void debug_history(int enable);
extern void history_maxwait(long maxwait);

extern int init_history(const char *name, int read_only);
extern int exit_history(void);
extern int reopen_history(const char *name, int read_only);
extern int addhistentry(char *id, long t_arr, long t_exp, long t_post, long size, char *artlist);
extern int pathlistbyid(char *msg_id, char *pathlist);
extern int gethistart(char *msg_id, char *artpath);
extern int cancelhistart(char *msg_id, char *artlist);
extern long firsthist(unsigned long tkey, char *line);
extern long nexthist(long offs, char *line);


/*
 * $Log: nhistory.h,v $
 * Revision 1.1  1997/02/13 11:19:58  oliver
 * initial revision
 *
 */

#endif
