#ifndef ACTIVE_H
#define ACITVE_H

/*
 * $Id$
 */

extern void set_minmax(char *pattern, long minkeep, long maxkeep);
extern int query_minmax(char *group, long *minkeep, long *maxkeep);
extern int set_userflag(char *group);
extern int query_userflag(char *group);
extern int set_lohi(char *group, long lo, long hi);
extern int next_group(int idx, char *group, long *lo, long *hi, char *rest);
extern int load_active(char *name, char *newsdir, int sorted);
extern int save_active(char *name, int force);
extern int new_active(char *name);
extern char find_active(char *group, long *lomsg, long *himsg);
extern long inc_active(const char *group);
extern int del_active(char *group, char *who);
extern int add_active(char *group, char *rest, char *creator, char *active_times);
extern void set_sublist(char **patlist, char *sublist);
extern void mdrop_sublist(int moderated, char *sublist);
extern void poke_sublist(void *sp, int nsites, char *sublist);
extern int valid_postgroups(const char *list);

extern char test_active(char *group);
extern char query_active(char *group, int *num, long *lo, long *hi);



#if 0
/*
 * Old definitions, needed for REXX
 */
extern int  _System ChanActiveAdd(char *group, char mc, char *who);
extern int  _System ChanActiveDel(const char *group);
extern char _System ChanActiveFind(char *group, long *lomsg, long *himsg);
extern char _System ChanActiveGet(int idx, char *group, long *lomsg, long *himsg);
extern int  _System ChanActiveSet(char *group, long lomsg, long himsg, char post);
extern long _System ChanActiveInc(const char *group);

#endif

/*
 * $Log: oactive.h,v $
 * Revision 1.1  1997/02/13 11:19:59  oliver
 * initial revision
 *
 */

#endif
