#ifndef OVRCACHE_H
#define OVRCACHE_H

/*
 * $Id$
 */

typedef struct _OVERBUFF {
    struct _OVERBUFF *next;
    struct _OVERBUFF *prev;
    char *buf;
    char **line;
    char *added;
    long *art_array;
    int  n_arts;
    int  is_dirty;
    char group[256];
} OVERBUFF;

extern void debug_overcache(int enable);
extern void init_overcache(char *overdir, char *newsdir, int cachesize);
extern OVERBUFF *fetch_overbuff(char *group);
extern void flush_overcache(void);

/*
 * $Log: ovrcache.h,v $
 * Revision 1.1  1997/02/13 11:20:01  oliver
 * initial revision
 *
 */

#endif
