#ifndef RMTLINK_H
#define RMTLINK_H

/*
 * $Id$
 */

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _RMTLINK {
    struct _RMTLINK *next;  /* links next item, last is NULL */
    struct _RMTLINK *prev;  /* links previous item, first is NULL */
    char name[256];         /* fqdn of remote site */
    long lastdate;          /* date of previous query */
    long lasttime;          /* time of previous query */
} RMTLINK;

extern int test_rmtlink(void);
extern RMTLINK *insert_rmtlink(RMTLINK *rmtl, RMTLINK *rmti);
extern int test_rmtlink(void);
extern RMTLINK *load_rmtlink(void);
extern int save_rmtlink(RMTLINK *rmtl);
extern RMTLINK *add_rmtlink(RMTLINK *rmtl, const char *name);
extern RMTLINK *del_rmtlink(RMTLINK *rmtl, const char *name);


#ifdef __cplusplus
}
#endif

/*
 * $Log: rmtlink.h,v $
 * Revision 1.1  1997/02/13 11:20:04  oliver
 * initial revision
 *
 */

#endif
