// $Id$
//
// $Log$
//

import java.awt.*;

public class OptionsDialog extends ParameterDialog
   {
   Options options;

   public OptionsDialog(Frame parent, Options options)
      {
      super(parent, Resource.OptionsDialog_title, "",
            Resource.OptionsDlg_paramName, Resource.OptionsDlg_paramValue);
      this.options = options;
      paramValueFields[0].setText(options.getUser());
      paramValueFields[1].setText(options.getHost());
      paramValueFields[2].setText(Integer.toString(options.getPort()));
      paramValueFields[3].setText(Integer.toString(options.getSleep()));
      }

   public void doit()
      {
      options.setUser(paramValueFields[0].getText());
      options.setHost(paramValueFields[1].getText());
      options.setPort(Integer.parseInt(paramValueFields[2].getText()));
      options.setSleep(Integer.parseInt(paramValueFields[3].getText()));
      options.writeIniFile();
      }
   }
