// $Id$
//
// $Log$
//

import java.awt.*;

public class PauseDialog extends ParameterDialog
   {
   Options options;
   StatusHandler statusHandler;

   public PauseDialog(Frame parent, Options options, StatusHandler statusHandler, String[] reason)
      {
      super(parent, Resource.PauseDlg_title, Resource.PauseDlg_message,
            Resource.PauseDlg_paramName, reason);
      this.options = options;
      this.statusHandler = statusHandler;
      }

   public void doit()
      {
      String[] s = {options.getUser(),"m",paramValueFields[0].getText()};
      String ret = UDPSocket.transact(s, options.getHost(), options.getPort());
      if (ret.startsWith("0"))
         statusHandler.setState(StatusHandler.SERVER_PAUSED);
      else if (ret.equals("1 Wrong reason"))
         {
         InfoDialog d = new InfoDialog((Frame)getParent(), Resource.wrong_reason_title, Resource.wrong_reason_message);
         d.show();
         }
      }
   }
