#ifndef MESSAGEWND_HPP
#define MESSAGEWND_HPP

/*
 * $Id: messagewnd.hpp,v 1.3 1997/03/18 16:12:45 oliver Exp $
 */

// Align classes on four byte boundary.
#pragma pack(4)

#include <iframe.hpp>
#include <istring.hpp>
#include <istattxt.hpp>

class MessageWnd : public IFrameWindow
{
 public:
   MessageWnd(IWindow* parent, const IString& message);

 private:
   IStaticText message_;
};

// Resume compiler default packing.
#pragma pack()

/*
 * $Log: messagewnd.hpp,v $
 * Revision 1.3  1997/03/18 16:12:45  oliver
 * bugfixes
 * menu changet to resource
 * help added
 * profile for Window-position added
 *
 * Revision 1.2  1997/03/10 18:39:08  oliver
 * add/removeGroup Buttons now work again
 * changeSettings now also for multiple Groups
 *
 * Revision 1.1  1997/03/02 16:50:29  Oliver
 * added please-wait Message
 */

#endif
