#ifndef SUCKLISTTHREAD_HPP
#define SUCKLISTTHREAD_HPP

/*
 * $Id: sucklistthread.hpp,v 1.1 1997/04/09 12:23:32 oliver Exp $
 */

// Align classes on four byte boundary.
#pragma pack(4)

#include <ithread.hpp>

class HostCnrObj;

//***************************************************************************
//   SuckListThread
//***************************************************************************

class SuckListThread : public IThreadFn
{
 public:
   SuckListThread(HostCnrObj* host);
   virtual void run();
 private:
   HostCnrObj* host_;
};

// Resume compiler default packing.
#pragma pack()

/*
 * $Log: sucklistthread.hpp,v $
 * Revision 1.1  1997/04/09 12:23:32  oliver
 * moved thead-classes to individual files
 *
 */

#endif
