#ifndef MISC_H
#define MISC_H

/*
 * $Id: misc.h,v 1.1 1997/02/13 14:03:45 oliver Exp $
 */

#include "client.h"

/*----------------------------------------------------------------------*/
/*  Searching                                                           */
/*----------------------------------------------------------------------*/
extern int find_long(long key, long array[], int num);
extern int in_list(char *key, char **list);

/*----------------------------------------------------------------------*/
/*  Checking permissions                                                */
/*----------------------------------------------------------------------*/
int check_ngperm(FILE *fp, char *ngaccess, char *remotehost, long remoteaddr);


/*----------------------------------------------------------------------*/
extern int arg_list(char *list, char ***array);
extern int get_distlist(char ***array, char *list);
extern char *file_glue(char *p, char *n1, char c, char *n2);
extern char *group2path(char *path, const char *home, const char *group);
extern int getrange(PNEWSCLIENT pnc, char *range, long *lo, long *hi, long **art_array);
extern int get_originator(char *sender, char **addr, char **user);
extern int strings_in_format(register char *format);
extern int get_nglist(char ***array, char *list);

/*
 * $Log: misc.h,v $
 * Revision 1.1  1997/02/13 14:03:45  oliver
 * initial revision
 *
 * Revision 1.1  1997/02/13  10:05:47  oliver
 * initial revision
 *
 */

#endif
