#ifndef SERVE_H
#define SERVE_H

/*
 * $Id: serve.h,v 1.1 1997/02/13 14:04:01 oliver Exp $
 */

typedef enum {
    SMOD_RUNNING,   /* Normal running mode                        */
    SMOD_FLUSHED,   /* History and active flushed, posts buffered */
                    /* Reads are allowed, writes are buffered */
    SMOD_PAUSED,    /* History and active closed for short period */
                    /* No reads and writes allowed, but connections */
                    /* are possible */
    SMOD_THROTTLED, /* All clients disconnected, none accepted    */
                    /* No connections allowed */
    SMOD_LAST
} SERVERMODE;

extern volatile char *reject_reason;    /* TODO: mutex access */
extern volatile int servermode;
extern volatile int in_command;     /* # of clients currently running a cmd */
extern volatile int server_paused;
extern volatile char *modereason;
extern volatile int downshut;

/*
 * $Log: serve.h,v $
 * Revision 1.1  1997/02/13 14:04:01  oliver
 * initial revision
 *
 * Revision 1.1  1997/02/13  10:05:58  oliver
 * initial revision
 *
 */

#endif
