const char sod_open_rcsid[] = "$Id: sod_open.c,v 1.1 1997/02/13 11:27:31 oliver Exp $";

#ifdef __OS2__

#include <types.h>
#include <netinet\in.h>
#include <sys\socket.h>
#include <netdb.h>

#else

#include <winsock.h>

#define soclose(x) closesocket(x)

#endif

#include <string.h>
#include <stdio.h>

#include <syslog.h>
#include <sodtgram.h>

/************************************************************************/
/*                                                                      */
/************************************************************************/
int _Export _System SoDtgramOpen(void)
{
    int sock;

    if((sock = socket(AF_INET, SOCK_DGRAM, 0)) == -1)
        syslog(LOG_ERR, "Opening udp socket failed");

    return(sock);
}

/************************************************************************/
/*                                                                      */
/************************************************************************/
int _Export _System SoDtgramClose(int sock)
{
    int result;

    if((result = soclose(sock)) == -1)
        syslog(LOG_ERR, "Closing udp socket failed");
    return(result);
}

/*
 * $Log: sod_open.c,v $
 * Revision 1.1  1997/02/13 11:27:31  oliver
 * initial revision
 *
 */
