const char sod_recv_rcsid[] = "$Id: sod_recv.c,v 1.1 1997/02/13 11:27:31 oliver Exp $";

#ifdef __OS2__
#include <types.h>
#include <netinet\in.h>
#include <sys\socket.h>
#ifdef min
#undef min
#endif
#else
#include <winsock.h>
#endif

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <chlimits.h>
#include <syslog.h>
#include <sodtgram.h>

extern int sodebug_on;

/************************************************************************/
/*                                                                      */
/************************************************************************/
int _Export _System SoDtgramGet(char *line, size_t n, int sock, void *remote)
{
    int rc;
    int len = sizeof(struct sockaddr_in);
    struct sockaddr_in *from = remote;

    if((rc = recvfrom(sock, line, MAX_BUFSIZ, 0, remote, &len)) >= 0)
        line[rc] = '\0';
    if(rc > 0 && sodebug_on)
        syslog(LOG_DEBUG, "%s> '%s'", inet_ntoa(from->sin_addr), line);

    return(rc);
}

/************************************************************************/
/*                                                                      */
/************************************************************************/
void * _Export _System SoDtgramAlloc(void)
{
    int len = sizeof(struct sockaddr_in);
    void *remote = malloc(len);

    if(remote == NULL) {
        syslog(LOG_ALERT, "Out of memory");
        abort();
    }

    return(memset(remote, 0, len));
}

/************************************************************************/
/*                                                                      */
/************************************************************************/
void _Export _System SoDtgramFree(void *remote)
{
    if(remote)
        free(remote);
}

/*
 * $Log: sod_recv.c,v $
 * Revision 1.1  1997/02/13 11:27:31  oliver
 * initial revision
 *
 */
