// $Id$
//
// $Log$
//

import java.awt.*;

public class Constrain
   {
   Container container;

   Constrain(Container container)
      {
      this.container = container;
      }

   public void add(Component component,
      int grid_x, int grid_y, int grid_width, int grid_height,
      int fill, int anchor, double weight_x, double weight_y,
      int top, int left, int bottom, int right)
      {
      GridBagConstraints c = new GridBagConstraints();
      c.gridx = grid_x; c.gridy = grid_y;
      c.gridheight = grid_height; c.gridwidth = grid_width;
      c.fill = fill; c.anchor = anchor;
      c.weightx = weight_x; c.weighty = weight_y;
      if (top+bottom+left+right > 0)
         c.insets = new Insets(top, left, bottom, right);

      ((GridBagLayout)container.getLayout()).setConstraints(component, c);
      container.add(component);
      }

   public void add(Component component,
      int grid_x, int grid_y, int grid_width, int grid_height,
      int top, int left, int bottom, int right)
      {
      add( component,
         grid_x, grid_y, grid_width, grid_height,
         GridBagConstraints.NONE, GridBagConstraints.NORTHWEST,
         0.0, 0.0, top, left, bottom, right);
      }

   public void add(Component component,
      int grid_x, int grid_y, int grid_width, int grid_height)
      {
      add( component,
         grid_x, grid_y, grid_width, grid_height,
         GridBagConstraints.NONE, GridBagConstraints.NORTHWEST,
         0.0, 0.0, 0,0,0,0);
      }
   }
