// $Id$
//
// $Log$
//

import java.awt.*;

public class GoDialog extends ParameterDialog
   {
   Options options;
   StatusHandler statusHandler;

   public GoDialog(Frame parent, Options options, StatusHandler statusHandler, String[] reason)
      {
      super(parent, Resource.GoDlg_title, Resource.GoDlg_message,
            Resource.GoDlg_paramName, reason);
      this.options = options;
      this.statusHandler = statusHandler;
      }

   public void doit()
      {
      String[] s = {options.getUser(),"h",paramValueFields[0].getText()};
      String ret = UDPSocket.transact(s, options.getHost(), options.getPort());
      if (ret.startsWith("0"))
         {
         statusHandler.setState(StatusHandler.SERVER_RUNNING);
         }
      else if (ret.startsWith("1"))
         {
         InfoDialog d = new InfoDialog((Frame)getParent(), Resource.wrong_reason_title, Resource.wrong_reason_message+ret);
         d.show();
         }
      }
   }
